# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name data-inttrie

Name:           ghc-%{pkg_name}
Version:        0.1.0
Release:        6%{?dist}
Summary:        A lazy infinite trie of integers

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
Provides a minimal infinite, lazy trie for integral types. It intentionally
leaves out ideas such as delete and emptiness so that it can be used lazily,
eg as the target of an infinite foldr. Essentially its purpose is to be
an efficient implementation of a function from integral type, given
point-at-a-time modifications.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


# no license file
%files -f %{name}.files


%files devel -f %{name}-devel.files


%changelog
* Tue Feb  3 2015 Jens Petersen <petersen@redhat.com> - 0.1.0-6
- cblrpm refresh

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 0.1.0-2
- update to new simplified Haskell Packaging Guidelines

* Sat Apr 20 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1.0-1
- Updated to 0.1.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec  6 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.0.8-1
- updated to new upstream 0.0.8

* Sun Nov 18 2012 Jens Petersen <petersen@redhat.com> - 0.0.7-2
- update with cabal-rpm

* Tue Jun 12 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.0.7-1
- Spec file template generated by cabal2spec-0.25.5
